var win, button, deviceSelectorParent, deviceSelector, deviceList, TestModule;

var TestModule;
if (!TestModule) {
	TestModule = require('com.logicallabs.testmodule');
}

function selectorChangeListener() {
	Ti.API.info('Selection changed!');
}

win = Ti.UI.createWindow({
	title : 'addEventListener1',
	exitOnClose : true,
	backgroundColor : '#ffffff',
	orientationModes : [Ti.UI.PORTRAIT],
	layout : 'vertical'
});

deviceSelectorParent = Ti.UI.createView({
	width : Ti.UI.FILL,
	height : '260dp'
});


deviceSelector = Ti.UI.createPicker({
	width : Ti.UI.FILL,
	height : '60dp'
});

deviceSelector.addEventListener('change', selectorChangeListener);

deviceSelectorParent.add(deviceSelector);

button = Ti.UI.createButton({
	title : 'Add Device',
	width : '50%',
	height : '10%'
});

deviceList = [];

button.addEventListener('click', function() {
	TestModule.sendBroadcast();
});

TestModule.addEventListener('testEvent', function() {
	var rows = [];
	deviceList.push('Device ' + deviceList.length);
	
	deviceList.forEach(function(device) {
		rows.push(Ti.UI.createPickerRow({
			title: device
		}));
	});
	
	// new picker object created
	var deviceSelector1 = Ti.UI.createPicker({
		width : Ti.UI.FILL,
		height : '60dp'
	});
	//new view object created
	var view1 = Ti.UI.createView({
		top:"10dp",
		height:"80dp",
		width:"80dp",
		left:"30dp",
		backgroundColor:"red"
	});
	
	// trying to access this or any view method once we launch the app after pressing the back button will crash
	// if we comment this then app will work without crash.
	view1.addEventListener("click",function(){
		alert("App will crash once you press back button, then launch the app again and press Add Device");
	});
	deviceSelectorParent.add(view1);
	deviceSelectorParent.add(deviceSelector1);
});

win.add(deviceSelectorParent);
win.add(button);

win.open();
